%define major     0.2
%define libname   %mklibname msym %{major}
%define develname %mklibname msym -d

Name:           libmsym
Version:        0.2.3
Release:        %mkrel 10
Summary:        Molecular point group symmetry lib
License:        MIT
Group:          System/Libraries
Url:            https://github.com/mcodev31/libmsym
Source0:        https://github.com/mcodev31/libmsym/archive/v%{version}-paper/%{name}-%{version}.tar.gz
Patch0:         libmsym-0.2.3-fix-version.patch
Patch1:         libmsym-cmake-4.0.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(python3)

%description
libmsym is a C library dealing with point group symmetry in molecules.

#----------------------------------------------------

%package -n     %{libname}
Summary:        Molecular point group symmetry lib
Group:          System/Libraries

%description -n %{libname}
libmsym is a C library dealing with point group symmetry in molecules.

#----------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       msym-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#----------------------------------------------------

%package -n     python3-%{name}
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{name}
Python 3 bindings for %{name}.

#----------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}-paper

%build
%cmake \
        -DINSTALL_LIB_DIR=%{_libdir} \
        -DINSTALL_CMAKE_DIR=%{_libdir}/cmake/%{name} \
        -DMSYM_BUILD_PYTHON=ON \
        -DPYTHON=%{__python3} \
        -DMSYM_PYTHON_INSTALL_OPTS=--root="%{buildroot}"
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libmsym.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_includedir}/%{name}/
%{_libdir}/libmsym.so
%{_libdir}/cmake/%{name}/

%files -n python3-%{name}
%doc bindings/python/README.md
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jul 10 2025 daviddavid <daviddavid> 0.2.3-10.mga10
+ Revision: 2252781
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 0.2.3-9.mga10
+ Revision: 2160329
- rebuild for python3.13

* Tue Dec 26 2023 daviddavid <daviddavid> 0.2.3-8.mga10
+ Revision: 2021617
- rebuild for py3.12

* Sat Mar 19 2022 umeabot <umeabot> 0.2.3-7.mga9
+ Revision: 1799325
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 0.2.3-6.mga9
+ Revision: 1787144
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.2.3-5.mga9
+ Revision: 1705271
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2.3-4.mga8
+ Revision: 1531758
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Sep 14 2019 daviddavid <daviddavid> 0.2.3-3.mga8
+ Revision: 1440843
- rebuild for python3.8

* Mon Jan 07 2019 daviddavid <daviddavid> 0.2.3-2.mga7
+ Revision: 1351060
- rebuild for new Python 3.7

* Sat Aug 25 2018 daviddavid <daviddavid> 0.2.3-1.mga7
+ Revision: 1254146
- initial package libmsym

